List Flows
get
/rpa/v1/flows
Gets a list of all Flows for a project in a service instance.
Request
Query Parameters
-
createdBy: string
Minimum Length:
1Maximum Length:32A filter to return only resources that match the entire created by given. -
displayName: string
Minimum Length:
1Maximum Length:50A filter to return only resources that match the entire display name given. -
environmentGroupId: string
Environment Group Identifier
-
lifecycleState: string
A filter that returns all resources that match the specified lifecycle state.
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:100 -
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
projectId(required): string
Project identifier
-
q: string
A filter to search resources by name, identifier, or description. The search query can be a simple string or a JSON object with operators and criteria. Example JSON format: { "operator": "AND", "criteria": [ {"name": "example"}, {"version": "1.0"} ] }
-
sortBy: string
The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.Default Value:
TIME_CREATEDAllowed Values:[ "TIME_CREATED", "DISPLAY_NAME" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ] -
updatedBy: string
Minimum Length:
1Maximum Length:32A filter to return only resources that match the entire updated BY given. -
version: string
Minimum Length:
1Maximum Length:255A filter to return only resources that match the entire version given.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
A page of Flow Summary objects.
Headers
-
opc-next-page:
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : FlowCollection
Type:
objectResults of a Flow list operation. Contains FlowSummary items.
Show Source
-
items(required): array
items
List of flow Summary objects.
Nested Schema : items
Type:
arrayList of flow Summary objects.
Show Source
-
Array of:
object FlowSummary
Summary of the Flow.
Nested Schema : FlowSummary
Type:
objectSummary of the Flow.
Show Source
-
areScreenshotsAllowed: boolean
Whether the screenshots needs to be allowed for the selected tracing levels
-
connectionIdentifiers: array
connectionIdentifiers
List connection Identifiers.
-
createdBy: string
Created By
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Flow. -
designTimeData: string
This refers to the Design Time Data
-
displayName(required): string
Flow name
-
endpointPath: string
The endpoint to instantiate the Flow.
-
environmentGroupIdentifier: string
One of the Environment associated with the Environment Group will execute the flow.
-
environmentGroupProjectId: string
Default Environment Group Project ID where the flow will be executed
-
hasErrors: boolean
Whether the flow definition has errors or not.
-
hasInputSchemaError: boolean
Whether the Input Schema of the flow has errors or not.
-
hasOutputSchemaError: boolean
Whether the Output Schema of the flow has errors or not.
-
hasSelfHealRecommendations: boolean
Indicates whether the flow has self heal recommendations
-
identifier(required): string
Flow identifier
-
inputJsonSchema: string
The raw schema of the input parameter of this flow.
-
isActivatedWithSelfHeal: boolean
Indicates whether the flow activated with self-healing
-
isCreatedWithSelfHealRecommendations: boolean
Indicates whether the flow was created by applying self heal recommendations
-
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
lifecycleState(required): string
The current state of the Package.
-
maxAiAssistedCalls: integer
Maximum number of AI Assisted calls set for an instance when activated with self heal option enabled
-
outputJsonSchema: string
The raw schema of the output parameter of this flow.
-
projectId: string
Project, applicable only for flows from other projects linked to shared env pool of current project
-
timeCreated: string
(date-time)
The time the Package was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time the Package was last updated. An RFC3339 formatted datetime string
-
tracingLevel: string
Allowed Values:
[ "PROD", "AUDIT", "DEBUG" ]tracingLevel of this flow -
updatedBy: string
Updated By.
-
version(required): string
Minimum Length:
1Maximum Length:255This refers to the Semantic Versioning.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.